﻿.custom-value::placeholder {
    color: gray !important;
}

.custom-value:disabled::placeholder {
    color: rgb(147, 155, 162) !important;
}

input::placeholder {
    color: darkgray !important;
}

.navbar-fixed {
    min-height: 57px;
}

.col-form-label {
    text-align: right
}

table thead tr th {
    text-align: center !important;
}

caption {
    caption-side: top;
}

.list-remove-style ul {
    list-style: none;
    margin: 0 0;
    padding-inline-start: 0;
}

.col-align-middle {
    display: inline-block;
    vertical-align: middle;
    float: none;
}

.modal-footer-block {
    display: block;
}

.table-full-screen {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: auto;
    border: none;
    margin: 0;
    padding: 0;
    z-index: 1046;
    background-color: white;
}

.tab-content,
.tab-content > .tab-pane {
    height: 100%;
}

.web-app-container-integrated-screen {
    width: 100%;
    padding: 0;
    margin: 0;
}

.web-app-container-full-screen {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    border: none;
    margin: 0;
    padding: 0;
    overflow: auto;
    z-index: 1045;
}

.iframe-integrated-screen {
    width: 100%;
    height: 500px;
    overflow: auto;
    border: 1px solid black;
    padding: 0;
    margin: 0;
}

.iframe-full-screen {
    display: block;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    border: none;
    margin: 0;
    padding: 0;
    overflow: auto;
    z-index: 1046;
}

.iframe-exit-button {
    position: fixed;
    top: 15px;
    right: 15px;
    z-index: 1047;
}

.wrapper {
    background-color: rgb(244, 246, 249);
}

/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

/*a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}*/

/* Provide sufficient contrast against white background */
/*a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}*/

/* Sticky footer styles
-------------------------------------------------- */
/*html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}*/

/* Sticky footer styles
-------------------------------------------------- */
/*html {
  position: relative;
  min-height: 100%;
}

body {*/
/* Margin bottom by footer height */
/*margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px;*/ /* Vertically center the text there */
/*}*/


/*Section container*/

.section-container {
    border: black 1px solid;
    padding: 15px 15px 15px 15px;
    border-radius: .25em .25em;
}

.section-title {
    text-align: center;
    border-bottom: #007bff 1px solid;
}

.CheckboxTaskStatus {
    font-weight: normal !important;
}

.min-height-150 {
    max-height: 150px;
    overflow-y: auto;
}

.min-height-200 {
    max-height: 200px;
    overflow-y: auto;
}

.min-height-250 {
    max-height: 250px;
    overflow-y: auto;
}

.min-height-300 {
    max-height: 300px;
    overflow-y: auto;
}

.min-height-400 {
    max-height: 400px;
    overflow-y: auto;
}

.min-height-500 {
    max-height: 500px;
    overflow-y: auto;
}

ul.MessagesControls {
    padding: 0;
    list-style-type: none;
}


.main-footer,
.navbar-text {
    color: rgba(0,0,0,.7);
}

/*Adjust menu without icons*/
.sidebar-mini.sidebar-collapse .sidebar .user-panel > .info,
.sidebar-mini.sidebar-collapse .nav-sidebar .nav-link p,
.sidebar-mini.sidebar-collapse .brand-text {
    animation-name: none;
    visibility: visible;
}

.sidebar-mini.sidebar-collapse .main-sidebar .nav-sidebar > .nav-item > .nav-link > p > i,
.sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .nav-sidebar > .nav-item > .nav-link > p > i {
    display: none;
}

.sidebar-mini.sidebar-collapse .main-sidebar:hover .nav-sidebar > .nav-item > .nav-link > p > i,
.sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .nav-sidebar > .nav-item > .nav-link > p > i {
    display: block;
}

.mw-none {
    min-width: initial;
}

/*Task lists*/

table.tasks thead tr th {
    font-weight: normal;
}

    table.tasks thead tr th.bold {
        font-weight: bold;
    }

/*Borders*/
.border-bold-top {
    border-top-width: 2px !important;
    border-top-color: #767676 !important;
}

.border-bold-left {
    border-left-width: 2px !important;
    border-left-color: #767676 !important;
}

.color-xlsx {
    color: rgb(16, 124, 65);
}


.color-pdf {
    color: rgb(178, 11, 0);
}

.fa-1-5x {
    font-size: 1.2em;
}

/*Horizontal menu*/
.dropdown-menu {
    min-width: max-content;
}

.usmed-logo {
    margin-top: -.5rem;
    margin-right: .2rem;
    height: 33px;
}

.dropdown-item:focus, .dropdown-item:hover {
    background-color: #bfbfbf;
}

#sidebar-overlay {
    display: block;
}

.sidebar-collapse #sidebar-overlay {
    display: none;
}

a.disabled {
    cursor: not-allowed;
}

.table-xs th,
.table-xs td {
    padding: 0.25rem;
    font-size: 14px;
}

.form-control-xs {
    height: calc(1.8125rem + -7px);
}

.chart-title {
    font-size: 1.1rem;
    font-weight: 400;
    margin: 0;
}

.page-item select {
    height: 100%;
}

.text-underline {
    text-decoration: underline;
}

a.json_viewer {
    color: #007bff !important;
    /*text-decoration: underline;*/
}

.table-head-bold thead tr th {
    font-weight: bold !important;
}

.modal-xxl {
    min-width: 95%;
    height: 90%;
    display: flex;
}

.bg-rows-alternate {
    background-color: rgba(0,0,0,.05);
}

.text-border-black {
    text-shadow: 1px 0 #000, -1px 0 #000, 0 1px #000, 0 -1px #000, 1px 1px #000, -1px -1px #000, 1px -1px #000, -1px 1px #000;
}

.text-gray-foreign {
    color: #a8abad;
}

.bt-1 {
    border-top: 1px solid !important;
}

.bl-1 {
    border-left: 1px solid !important;
}

.br-1 {
    border-right: 1px solid !important;
}

.bb-1 {
    border-bottom: 1px solid !important;
}

.bt-2 {
    border-top: 2px solid !important;
}

.bl-2 {
    border-left: 2px solid !important;
}

.br-2 {
    border-right: 2px solid !important;
}

.bb-2 {
    border-bottom: 2px solid !important;
}

.bg-row-alternate {
    background-color: #f2f2f2 !important;
}

.bg-task-primary {
    background-color: #e0ffee !important;
}

.bg-task-inprocess {
    background-color: #fcffca !important;
}

/* Color */
.sp-container.sp-flat {
    margin-left: 16px;
}